<?php
class Conexion {
    private $host = 'localhost';
    private $user = 'zambranocom_zambrano';
    private $password = 'DU-+w$_w,+EM';         
    private $database = 'zambranocom_agrobonos';
    public $cnx;

    public function __construct() {
        // La conexi車n ya se establece en el constructor, no es necesario duplicar el c車digo aqu赤
        $this->cnx = new mysqli($this->host, $this->user, $this->password, $this->database);
        
        if ($this->cnx->connect_error) {
            die("Error en la conexi車n a la base de datos: " . $this->cnx->connect_error);
        }
    }

    // M谷todo para obtener la conexi車n
    public function MET_conectar() {
        return $this->cnx;
    }

    // M谷todo para cerrar la conexi車n
    public function cerrarConexion() {
        if ($this->cnx) {
            $this->cnx->close();
        }
    }
}
?>
